<!--
title: Partial upgrades
description: Prevent and mitigate partial upgrades
published: true
date: 2023-02-18T19:07:40.708Z
tags: guide, partial, update, maintenance
editor: ckeditor
dateCreated: 2021-11-20T18:59:19.889Z
-->

<h2 style="text-align:justify;">What is a partial upgrade?</h2>
<p style="text-align:justify;">A "partial upgrade" is an unsupported operation that happens when only a part of your system has been updated. This can lead to major issues when applications are not built to support older or newer versions of related software.</p>
<p style="text-align:justify;">Problems can range from applications not opening to a broken system, depending on the severity. Garuda Linux ships Garuda system maintenance, which can detect and notify about partial upgrade situations automatically.</p>
<figure class="image image_resized" style="width:21.79%;"><img src="/screenshots/garuda-system-maintenance-partial-tray.png">
  <figcaption>The red, flashing "!" will…</figcaption>
</figure>
<figure class="image image-style-align-left"><img src="/screenshots/garuda-system-maintenance-partial.png">
  <figcaption>…bring up a notification which links to this article and offers a full system update</figcaption>
</figure>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">What can cause a partial upgrade?</h2>
<p style="text-align:justify;">Partial upgrades happen whenever the "<strong>sync</strong>" database is <strong>updated without applying</strong> any system updates. Then, when a package is installed from the repositories, the system is considered “<strong>partially upgraded</strong>”, because that package may not be intended to be used with your already installed packages.</p>
<p style="text-align:justify;">Partial upgrades happen if you do the following:</p>
<ul>
  <li style="text-align:justify;"><code>pacman -Sy [package name]</code></li>
  <li style="text-align:justify;"><code>pacman -Sy</code> followed by <code>pacman -S [package name]</code> at a later time</li>
  <li style="text-align:justify;"><code>pacman -Syu</code> if not completed successfully (even answering no!), followed by <code>pacman -S [package name]</code> at a later time</li>
</ul>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">What is the solution?</h2>
<p style="text-align:justify;">To return a partially upgraded system back to a consistent state, a full system update needs to be performed.</p>
<p style="text-align:justify;">&nbsp;</p>
<h3 style="text-align:justify;">Via CLI</h3>
<p style="text-align:justify;">The Garuda Linux developers recommend using the <code>update</code> command in your terminal of choice to apply system updates.</p>
<p style="text-align:justify;">&nbsp;</p>
<h3 style="text-align:justify;">Via GUI</h3>
<ul>
  <li style="text-align:justify;">Search and start <strong>Garuda Assistant </strong>using the start menu and enter your password as requested</li>
</ul>
<figure class="image"><img src="/screenshots/garuda-assistant-authorize.png"></figure>
<ul>
  <li style="text-align:justify;">Select “<strong>System update</strong>”</li>
</ul>
<figure class="image"><img src="/screenshots/garuda-assistant-update.png"></figure>
<ul>
  <li style="text-align:justify;">Let the pre-update steps complete and then confirm you want to<strong> apply the update</strong></li>
  <li style="text-align:justify;">Wait for the update to finish</li>
</ul>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">💡 Garuda system maintenance notifies about partial upgrade situations to minimize the risk of accidentally partially upgrading the system!</p>
